
QGIS Application - Feature request #3204

GRASS toolbox: let force an optional flag required

2010-11-13 05:03 AM - Maciej Sieczka -

Status: Open

Priority: Low

Assignee:

Category: GRASS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13264

Description

It would be nice to be able to enforce an optional parameter in qgm as obligatory - sth like a "require=yes" atribute.

Case: r.cost supports various input types - x,y coords, vector map, raster map. According to GRASS toolbox convention, I guess it should

be divided into 3 seperate ones qgms: r.cost.coord, r.cost.vect, r.cost.rast. Although in each case the respective input starting points

method should be required, there is no way to specify this in a qgm currently.

#3203 is related - maybe to workaround that bug add support for sth like "require=no" BTW?

History

#1 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-23 09:22 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#3 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
